/*
 * Utils functions
 */

/* Normalize the value of the input file element */
function processInput(ele) {
	var fileName = ele.val();
	fileName = fileName.replace("C:\\fakepath\\", "");
	ele.next('.custom-file-label').html(fileName);
	document.getElementById("btn_draw").disabled = false;
}


/* Read an svg file from the input element */
function readFile(callback) {
	var file = document.getElementById("get_file").files[0];
	var reader = new FileReader();
	reader.onload = (function(theFile) {
		return function(e) {
				callback(e.target.result)
		};
	})(file);
	reader.readAsDataURL(file);
}


/* Toggle a div after a click */
function toggleDiv(id,to) {
	var e = document.getElementById(id);
	if(e.style.display == 'block')
		e.style.display = 'none';
	else
		setTimeout(function (){
			e.style.display = 'block';
		}, to);
}

/* Clean the view each time you load a new phylomemy */
function clean() {
	d3.select("svg").remove();
	d3.select("#btn_reset").remove();
}